Subject: RE: [Hubmib] Re: IEEE 802.3 Plenary Meeting

From: Dan Romascanu <[email-masked]>
Date: Mon, 23 Jul 2001 08:34:09 +0200

Hello Mike,

Thank you for your inputs. I am sure that the editors of the WIS MIB and
other documents will consider your contributions. The issue of the
compatibility of the document with the SONET-MIB is in our focus, and will
be the main subject of the joint meeting of our WG and of the AToM MIB WG in
London, on August 7. I would also like to point to you that our WG is
chartered to define a set of objects that 'should be largely compliant with,
and even draw from IEEE 802.3, although there is no requirement that any
specific object be present or absent'. My take is that following these
guidelines the WIS MIB editors looked at the IEEE 802.3ae work, which is
also in draft / works in progress state, as a starting point for the objects
definition, rather than 're-defining everything from scratch'.

I encourage everyone to work together in a cooperative and constructive
manner in order to design the best possible MIB interface. I am sure that we
can achieve this.

Regards, 

Dan

> -----Original Message-----
> From: C. M. Heard [mailto:[email-masked]]
> Sent: Monday, July 23, 2001 6:49 AM
> To: Hubmib Working Group
> Subject: [Hubmib] Re: IEEE 802.3 Plenary Meeting
> 
> 
> On Sun, 22 Jul 2001, Dan Romascanu wrote:
> > The editors of the WIS MIB and Power Ethernet MIB are 
> kindly requested to
> > take these inputs into consideration for the next iteration 
> of the drafts. 
> > 
> > WIS MIB
> > 
> > *	The MIB object etherWisDeviceJitterTestMode does not 
> map well to the
> > current definition in the IEEE Draft, D3.1., Clause 45, 
> section 45.2.2.6.1.
> > What is required are the following three variables:
> > *	etherWisJitterTestPattern - with values square wave 
> jitter pattern
> > and pseudo random jitter pattern
> > *	etherWisRxJitterTestEnable 
> > *	etherWisTxJitterTestEnable  
> 
> None of the problems cited below would have happened if the 
> editors had
> cited the SONET-MIB instead of re-defining everything from scratch ...
> 
> > *	etherWisSectionCurrentStatus - there are no LinkDown 
> and LocalFault
> > bits for Section - need to be taken out
> 
> i.e., there should only be AIS and RDI bits, as in 
> sonetSectionCurrentStatus
> 
> > *	need to add an object threshold for severity criteria - see
> > aSectionSesThreshold - as in 30.8.1.1.3
> 
> see sonetSESthresholdSet
> 
> > *	object for Line Threshold needs to be added - see 
> aLineSesThreshold
> > - as in 30.8.1.1.11
> 
> see sonetSESthresholdSet
> 
> > *	objects for FarEndLine is missing
> 
> see sonetFarEndLineStuff2
> 
> > *	objects for farEndPath is missing
> 
> see sonetFarEndPathStuff2
> 
> > *	pathThreshold is missing - see aPathSesThreshold - as 
> in 30.8.1.1.19
> 
> see sonetSESthresholdSet
> 
> > *	The unavailability objects etherWisLineCurrentUASs,
> > etherWisLineIntervalUASs, etherWisPathCurrentUASs, 
> etherWisPathIntervalUASs
> > have no correspondence in the IEEE objects - this needs to 
> be documented in
> > the mapping section and/or in the DESCRIPTION clauses of 
> the respective MIB
> > objects
> 
> that is explained in great detail in the text of RFC 2558
> 
> A detailed case for using the SONET-MIB and eliminating apparent
> overlaps with the recent MAU-MIB draft will follow shortly (i.e.,
> as soon as I finish writing it up).
> 
> Regards,
> 
> Mike
> 
> 
> _______________________________________________
> Hubmib mailing list
> [email-masked]
> http://www.ietf.org/mailman/listinfo/hubmib
>

---

From: "Ayers, Mike" <[email-masked]>
Date: Mon, 23 Jul 2001 13:19:08 -0500

> From: Dan Romascanu [mailto:[email-masked]] 

> My take is that following these guidelines the WIS 
> MIB editors looked at the IEEE 802.3ae work, which is also in 
> draft / works in progress state, as a starting point for the 
> objects definition, rather than 're-defining everything from scratch'.

	This is precisely the case.  The management objects are from the
D3.0 revision of the 802.3ae proposal, with a proposed set of objects for
interval based management.  The WIS presents a unique challenge, because it
has one foot in the ethernet world and one foot in the SONET world, and
these two worlds have different management methods.

> I encourage everyone to work together in a cooperative and 
> constructive manner in order to design the best possible MIB 
> interface. I am sure that we can achieve this.

	Both in London, and through the working groups, input is highly
encouraged.

/|/|ike